Docs
Translations

Get an item's translations

GET/translationsNeedscontent.view

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Query Parameters

contentType*string

What the text belongs to.

Value in"tour""tour_step""tooltip""banner"
contentId*integer

Its id.

includeSteps?"1"

With contentType=tour, also return the tour's step translations.

Value in"1"

Response Body

OK

application/json
  1. response
translations*array<>
Shell
curl -X GET 'https://app.cueston.com/api/translations?contentType=tour&contentId=0'
Example Response
JSON
{
  "translations": [
    {
      "id": 42,
      "contentType": "tour",
      "contentId": 42,
      "languageCode": "de",
      "title": "Welcome to Acme",
      "body": "Here's a quick look at where everything is.",
      "buttonText": "Next",
      "updatedAt": "2026-10-26T09:30:00Z"
    }
  ]
}